%define anolis_release 1
%global pypi_name ConfigArgParse
%global pypi_version 1.7

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A drop-in replacement for argparse

License:        MIT
URL:            https://github.com/bw2/ConfigArgParse
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)

%description
A drop-in replacement for argparse that allows options to also be set via config files 
and/or environment variables. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)
Requires:       python3dist(pytest)
Requires:       python3dist(pyyaml)
Requires:       python3dist(pyyaml)
%description -n python3-%{pypi_name}
A drop-in replacement for argparse that allows options to also be set via config files 
and/or environment variables. 


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/configargparse.py
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.7-1
- Initial package.